function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useEffect } from 'react';
import { useControllableValue } from 'ahooks';
import BaseNumberKeyboard from "../BaseNumberKeyboard";
import PisellText from "../../pisellText";
var Amount = function Amount(props) {
  var min = props.min,
    max = props.max,
    amountProps = props.amountProps,
    doneText = props.doneText,
    resetText = props.resetText,
    defaultValue = props.defaultValue,
    placeholder = props.placeholder,
    onEnter = props.onEnter,
    presets = props.presets,
    defaultSelect = props.defaultSelect,
    inputFormat = props.inputFormat;
  var _useControllableValue = useControllableValue(props, {
      defaultValue: defaultValue || ""
    }),
    _useControllableValue2 = _slicedToArray(_useControllableValue, 2),
    value = _useControllableValue2[0],
    setValue = _useControllableValue2[1];
  useEffect(function () {
    document.body.id = 'body';
  }, []);
  var format = function format(_v) {
    var v = "".concat(_v);
    if (inputFormat !== null && inputFormat !== void 0 && inputFormat(v)) {
      return inputFormat === null || inputFormat === void 0 ? void 0 : inputFormat(v);
    }
    // 取value小数位数
    var precision = v.includes('.') ? v.split('.')[1].length : 0;
    var endWith = v.endsWith('.');
    // 最后一位是小数点时去除
    var value = endWith ? v.slice(0, -1) : v;
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(PisellText.Amount, {
      value: value,
      precision: precision,
      hideDecimalForWholeNumbers: false,
      showCurrencySymbol: amountProps === null || amountProps === void 0 ? void 0 : amountProps.showCurrencySymbol,
      useThousandsSeparator: amountProps === null || amountProps === void 0 ? void 0 : amountProps.useThousandsSeparator
    }), endWith && '.');
  };
  return /*#__PURE__*/React.createElement(BaseNumberKeyboard, {
    defaultSelect: defaultSelect,
    max: max,
    min: min,
    value: value,
    onChange: setValue,
    placeholder: placeholder,
    defaultValue: defaultValue,
    format: format,
    doneText: doneText,
    resetText: resetText,
    onEnter: onEnter,
    presets: presets
  });
};
export default Amount;